Get Pending Stakes
curl --request GET \
--url https://api.copper.co/platform/staking/pending-stakes{
"pendingStakes": [
{
"createdAt": "<string>",
"currency": "<string>",
"depositTargetId": "<string>",
"mainCurrency": "<string>",
"organizationId": "<string>",
"pendingStake": {
"pendingAmount": "<string>",
"canBeRebonded": true,
"canBeUnstaked": true,
"canIncreaseStakeAmount": true,
"originPool": {
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
},
"pendingEndsAt": "<string>",
"pool": {
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
},
"pools": [
{
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
}
],
"requireChillToUnstake": true,
"stakeAddress": "<string>",
"warning": {
"message": "<string>",
"code": "<string>"
}
},
"pendingStakeId": "<string>",
"portfolioId": "<string>",
"updatedAt": "<string>"
}
]
}stake
Get Pending Stakes
GET
/
staking
/
pending-stakes
Get Pending Stakes
curl --request GET \
--url https://api.copper.co/platform/staking/pending-stakes{
"pendingStakes": [
{
"createdAt": "<string>",
"currency": "<string>",
"depositTargetId": "<string>",
"mainCurrency": "<string>",
"organizationId": "<string>",
"pendingStake": {
"pendingAmount": "<string>",
"canBeRebonded": true,
"canBeUnstaked": true,
"canIncreaseStakeAmount": true,
"originPool": {
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
},
"pendingEndsAt": "<string>",
"pool": {
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
},
"pools": [
{
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
}
],
"requireChillToUnstake": true,
"stakeAddress": "<string>",
"warning": {
"message": "<string>",
"code": "<string>"
}
},
"pendingStakeId": "<string>",
"portfolioId": "<string>",
"updatedAt": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.copper.co/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
Return stakes only for specific portfolio
Filter by the staked currency
Filter by the main currency (blockchain network) for staking
Limit for pagination
Offset for pagination
Response
OK
List of pending stakes
Show child attributes
Show child attributes
Was this page helpful?
⌘I